CentOS 6:cups (CESA-2014:1388)

medium Nessus 插件 ID 79177
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 CentOS 主机缺少一个或多个安全更新。

描述

更新后的 cups 程序包修复了多个安全问题和若干缺陷,现在可用于 Red Hat Enterprise Linux 6。

Red Hat 产品安全团队将此更新评级为具有中等安全影响。可从“参考”部分中的 CVE 链接获取针对每个漏洞的通用漏洞评分系统 (CVSS) 基本分数,其给出了详细的严重性等级。

CUPS 提供了用于 Linux、UNIX 和类似操作系统的便携式打印层。

在 CUPS Web 界面中发现跨站脚本 (XSS) 缺陷。
攻击者可利用此缺陷针对 CUPS Web 界面的用户执行跨站脚本攻击。(CVE-2014-2856)

已发现 CUPS 允许特定用户在 /var/cache/cups/ 之下的特定目录中创建符号链接。具有“lp”群组权限的本地用户可以利用此缺陷读取系统上任意文件的内容,或可升级其在系统中的权限。(CVE-2014-3537、CVE-2014-5029、CVE-2014-5030、CVE-2014-5031)

CVE-2014-3537 问题由 Red Hat 产品安全的 Francisco Alonso 发现。

这些更新后的 cups 程序包也包括多个缺陷补丁。空间有限,无法在此公告中记载所有这些更改。有关这些更改的最重要的信息,用户可参阅在“参考”部分链接的 Red Hat Enterprise Linux 6.6 技术札记。

建议所有 cups 用户升级这些更新后的程序包,其中包含用于修正这些问题的向后移植的修补程序。安装此更新后,cupsd 后台程序将自动重新启动。

解决方案

更新受影响的 cups 程序包。

另见

http://www.nessus.org/u?88100536

插件详情

严重性: Medium

ID: 79177

文件名: centos_RHSA-2014-1388.nasl

版本: 1.9

类型: local

代理: unix

发布时间: 2014/11/12

最近更新时间: 2021/1/4

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2014-5031

VPR

风险因素: Low

分数: 3.4

CVSS v2

风险因素: Medium

基本分数: 5

时间分数: 3.7

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:N

时间矢量: E:U/RL:OF/RC:C

漏洞信息

CPE: p-cpe:/a:centos:centos:cups, p-cpe:/a:centos:centos:cups-devel, p-cpe:/a:centos:centos:cups-libs, p-cpe:/a:centos:centos:cups-lpd, p-cpe:/a:centos:centos:cups-php, cpe:/o:centos:centos:6

必需的 KB 项: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2014/10/20

漏洞发布日期: 2014/4/18

参考资料信息

CVE: CVE-2014-2856, CVE-2014-3537, CVE-2014-5029, CVE-2014-5030, CVE-2014-5031

BID: 66788, 68788, 68842, 68846, 68847

RHSA: 2014:1388